# notional #

[![PyPI](https://img.shields.io/pypi/v/notional.svg)](https://pypi.org/project/notional)
[![LICENSE](https://img.shields.io/github/license/jheddings/notional)](https://github.com/jheddings/notional/blob/main/LICENSE)
[![Code Style](https://img.shields.io/badge/code%20style-black-black)](https://github.com/ambv/black)

A high level interface and object model for the Notion SDK.  This is loosely modeled
after concepts found in [SQLAlchemy](http://www.sqlalchemy.org) and
[MongoEngine](http://mongoengine.org).  This module is built on the excellent
[notion-sdk-py](https://github.com/ramnes/notion-sdk-py) library, providing
higher-level access to the API.

To get up and running quickly, check out the [Quick Start](quick.md) guide.

## Contents ##

* [Querying](query.md)
* [Content Iterators](iterators.md)
* [Document Parsing](parser.md)
* [Object Relational Mapping](orm.md)